﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

using DHTMLX.Scheduler;
using DHTMLX.Scheduler.Controls;

namespace SchedulerNetAsp
{
    public partial class CustomView : System.Web.UI.Page
    {
        public class CustomWeekView : SchedulerView
        {
            public CustomWeekView()
                : base()
            {
                this.ViewType = "CustomWeek";
                this.Set("name", "CustomWeek");
            }
            
        }
        public DHXScheduler Scheduler { get; set; }
        protected void Page_Load(object sender, EventArgs e)
        {
            this.Scheduler = new DHXScheduler();

            Scheduler.Views.Clear();
            var view = new CustomWeekView();
            Scheduler.Views.Add(view);
            Scheduler.InitialView = view.Name;

            Scheduler.InitialDate = new DateTime(2011, 11, 24);


            Scheduler.Config.first_hour = 8;
            Scheduler.Config.last_hour = 19;
            Scheduler.Config.time_step = 30;
            Scheduler.Config.limit_time_select = true;

            Scheduler.DataAction = "Data.ashx";
            Scheduler.SaveAction = "Save.ashx";
            Scheduler.LoadData = true;
            Scheduler.Data.Loader.PreventCache();
            Scheduler.EnableDataprocessor = true;

            
            

        }
    }
}